## org.gjt.sp.jedit.textarea
Interface StructureMatcher

All Known Implementing Classes:
  StructureMatcher.BracketMatcher

public interface StructureMatcher

An interface for matching parts of a source file's stucture. The default implementation matches brackets. The XML plugin provides an implementation for matching XML tags.

Since:
  jEdit 4.2pre3
Version:
  $Id: StructureMatcher.java,v 1.7 2004/08/08 03:41:35 spestov Exp $
Author:
  Slava Pestov

Nested Class Summary
`static class` `StructureMatcher.BracketMatcher`
`static class` `StructureMatcher.Highlight` Paints the structure match highlight.
`static class` `StructureMatcher.Match` A structure match, denoted by a start and end position.

Method Summary
`StructureMatcher.Match` `getMatch(JEditTextArea textArea)` Returns the element matching the one at the given text area's caret position, or null.
`void` `selectMatch(JEditTextArea textArea)` Selects from the caret to the matching structure element (if there is one, otherwise the behavior of this method is undefined).

Method Detail

### getMatch

    public StructureMatcher.Match getMatch(JEditTextArea textArea)

  Returns the element matching the one at the given text area's caret position, or null.

  Since:
    jEdit 4.2pre3

### selectMatch

    public void selectMatch(JEditTextArea textArea)

  Selects from the caret to the matching structure element (if there is one, otherwise the behavior of this method is undefined).

  Since:
    jEdit 4.2pre3